Bug 1353520 (CVE-2016-6163) - CVE-2016-6163 librsvg2: Out-of-bounds read when processing crafted SVG file
Summary: CVE-2016-6163 librsvg2: Out-of-bounds read when processing crafted SVG file
Status: CLOSED WONTFIX
Alias: CVE-2016-6163
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160704,repor...
Keywords: Security
Depends On: 1353522 1353521
Blocks: 1353524
TreeView+ depends on / blocked
 
Reported: 2016-07-07 11:35 UTC by Adam Mariš
Modified: 2019-06-08 21:19 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-13 04:45:30 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-07 11:35:09 UTC
An out-of-bounds read vulnerability that leads to segmentation fault was found in librsvg2 when processing specially crafted SVG file using Firefox.

CVE request (contains reproducer):

http://seclists.org/oss-sec/2016/q3/7

Upstream patch:

https://git.gnome.org/browse/librsvg/commit/?id=0035e95118a60c0cd3949c2300472d805e16a022

Comment 1 Adam Mariš 2016-07-07 11:35:24 UTC
Fedora 24, package librsvg2, is not vulnerable because it currently has librsvg2-2.40.15-1.fc24 in stable

Comment 2 Adam Mariš 2016-07-07 11:35:41 UTC
Created librsvg2 tracking bugs for this issue:

Affects: fedora-all [bug 1353521]

Comment 3 Adam Mariš 2016-07-07 11:35:45 UTC
Created mingw-librsvg2 tracking bugs for this issue:

Affects: fedora-all [bug 1353522]


Note You need to log in before you can comment on or make changes to this bug.